org.jfree.chart.axis

## Class NumberTick

- java.lang.Object
- - org.jfree.chart.axis.Tick
  - - org.jfree.chart.axis.ValueTick
    - - org.jfree.chart.axis.NumberTick

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  CyclicNumberAxis.CycleBoundTick

    public class NumberTick
    extends ValueTick

A numerical tick.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NumberTick(java.lang.Number number, java.lang.String label, org.jfree.ui.TextAnchor textAnchor, org.jfree.ui.TextAnchor rotationAnchor, double angle)` Creates a new tick.
`NumberTick(TickType tickType, double value, java.lang.String label, org.jfree.ui.TextAnchor textAnchor, org.jfree.ui.TextAnchor rotationAnchor, double angle)` Creates a new tick.

### Method Summary

Methods
`java.lang.Number` `getNumber()` Returns the number.

### Methods inherited from class org.jfree.chart.axis.ValueTick

`equals, getTickType, getValue`

### Methods inherited from class org.jfree.chart.axis.Tick

`clone, getAngle, getRotationAnchor, getText, getTextAnchor, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NumberTick

    public NumberTick(java.lang.Number number,
              java.lang.String label,
              org.jfree.ui.TextAnchor textAnchor,
              org.jfree.ui.TextAnchor rotationAnchor,
              double angle)

Creates a new tick.

Parameters:
  `number` - the number (`null` not permitted).
  `label` - the label.
  `textAnchor` - the part of the label that is aligned with the anchor point.
  `rotationAnchor` - defines the rotation point relative to the text.
  `angle` - the rotation angle (in radians).

#### NumberTick

    public NumberTick(TickType tickType,
              double value,
              java.lang.String label,
              org.jfree.ui.TextAnchor textAnchor,
              org.jfree.ui.TextAnchor rotationAnchor,
              double angle)

Creates a new tick.

Parameters:
  `tickType` - the tick type.
  `value` - the value.
  `label` - the label.
  `textAnchor` - the part of the label that is aligned with the anchor point.
  `rotationAnchor` - defines the rotation point relative to the text.
  `angle` - the rotation angle (in radians).
Since:
  1.0.7

### Method Detail

#### getNumber

    public java.lang.Number getNumber()

Returns the number.

Returns:
  The number.